export declare enum DocFormat {
    Text = "Text",
    Dot = "Dot"
}
export declare type DocConfig = {
    format: DocFormat;
    importBlacklist: string;
    importWhitelist: string;
    outpath: string;
    pathToTslintJson: string;
    skipSubFolders: boolean;
    dot: DotDocConfig;
};
export declare type DotDocConfig = {
    clusterFromTslintJson: boolean;
    colorScheme: string;
    isGraphOptimizerEnabled: boolean;
    maxColors: number;
    packageShape: string;
    showImportAnyAsNodeNotEdges: boolean;
    subFolderShape: string;
    subTitle: string;
    title: string;
};
