import { ImportsBetweenPackagesRuleConfig } from "tslint-folders";
import { DocConfig } from "../../Config";
import { IDocGenerator } from "../../interfaces/IDocGenerator";
import { IDocOutputter } from "../../interfaces/IDocOutputter";
import { DocGeneratorBase } from "../shared/DocGeneratorBase";
export declare class DotDocGenerator extends DocGeneratorBase implements IDocGenerator {
    protected config: DocConfig;
    protected outputter: IDocOutputter;
    private mapNameToId;
    private styler;
    constructor(config: DocConfig, outputter: IDocOutputter);
    generateDoc(packageConfig: ImportsBetweenPackagesRuleConfig): void;
    private generateGraph;
    private outputHeader;
    private outputGraphSettings;
    private outputFooter;
    private outputSectionSeparator;
    private outputGraphNode;
    private outputScopeBegin;
    private outputScopeEnd;
    /**
     * Output the separate graph cluster.
     */
    private outputCluster;
    private outputContainerNodeStart;
    private outputContainerNodeEnd;
    private outputNode;
    private getColorNumber;
    private getPrefixedPackageId;
    private outputEdges;
    private outputEdge;
    private outputSubNodes;
}
