import { OutputterBase } from "./OutputterBase";
export declare class FileOutputter extends OutputterBase {
    private outpath;
    private firstWrite;
    constructor(outpath: string);
    /**
     * Write to file as soon as possible (in case debugging)
     *
     * note: node 'fs.sync' is not really sync writing
     * ref: https://www.daveeddy.com/2013/03/26/synchronous-file-io-in-nodejs/
     * but it simplifies the API here
     */
    protected writeLine(text: string): void;
}
