"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Config_1 = require("./Config");
var ConfigDefaults;
(function (ConfigDefaults) {
    function getDefault() {
        return {
            dot: {
                clusterFromTslintJson: false,
                colorScheme: "pastel19",
                isGraphOptimizerEnabled: true,
                maxColors: 9,
                packageShape: "oval",
                showImportAnyAsNodeNotEdges: false,
                subFolderShape: "folder",
                subTitle: "Top-level Packages",
                title: "Project Packages"
            },
            format: Config_1.DocFormat.Dot,
            importBlacklist: "",
            importWhitelist: "",
            outpath: "",
            pathToTslintJson: "",
            skipSubFolders: false
        };
    }
    ConfigDefaults.getDefault = getDefault;
})(ConfigDefaults = exports.ConfigDefaults || (exports.ConfigDefaults = {}));
//# sourceMappingURL=ConfigDefaults.js.map