"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Config_1 = require("../Config");
var EnumUtils;
(function (EnumUtils) {
    function parseDocFormat(formatString) {
        var format = formatString;
        validateDocFormat(format);
        return format;
    }
    EnumUtils.parseDocFormat = parseDocFormat;
    function validateDocFormat(format) {
        switch (format) {
            case Config_1.DocFormat.Dot:
                return format;
            case Config_1.DocFormat.Text:
                return format;
            default:
                throw new Error("unhandled format '" + format + "'");
        }
    }
})(EnumUtils = exports.EnumUtils || (exports.EnumUtils = {}));
//# sourceMappingURL=EnumUtils.js.map