import { DocConfig } from "../../../Config";
import { ClusterType } from "../../../graph/GraphCluster";
import { NodeType } from "../../../graph/GraphNode";
import { IDocOutputter } from "../../../interfaces/IDocOutputter";
export declare class DotStyleGenerator {
    protected config: DocConfig;
    protected outputter: IDocOutputter;
    constructor(config: DocConfig, outputter: IDocOutputter);
    outputStyling(): void;
    outputGraphNodeStyle(nodeType: NodeType): void;
    private outputStylingForExternalNode;
    outputStylingForAnyNode(): void;
    outputContainerStyle(clusterType: ClusterType): void;
    private outputOptimizedStyle;
    outputPlaceLabelsAtTop(): void;
    private outputGraphStyle;
    private outputDefaultNodeStyling;
}
