import { GraphNode } from "./GraphNode";
import { IGraphCluster } from "./IGraphCluster";
export declare enum ClusterType {
    Root = 0,
    TopLevel = 1,
    AreaWithSubFolders = 2,
    FromOptimization = 3,
    DiagramCluster = 4
}
export declare class GraphCluster extends GraphNode implements IGraphCluster {
    static create(parent: GraphCluster | null, numericId: number, name: string, description: string, clusterType: ClusterType): GraphCluster;
    readonly nodes: GraphNode[];
    clusterType: ClusterType;
    removeNode(node: GraphNode): void;
}
