import { IDocOutputter } from "../interfaces/IDocOutputter";
export declare abstract class OutputterBase implements IDocOutputter {
    private indent;
    decreaseIndent(): void;
    increaseIndent(): void;
    outputLine(text: string): void;
    outputLines(lines: string[]): void;
    protected abstract writeLine(line: string): void;
}
